// UNICE G.ARCE - ART40544  -  Basics of Programming- Android

import java.util.Scanner;


public class savingsProgram {

	public static void main(String[] args){
		String s1 = getInput("Enter your financial goal: ");
		String s2 = getInput("Enter years till financial goal: ");
		String s3 = getInput("Enter current savings: ");
		String s4 = getInput("Enter weekly savings: ");
	
		
		float d1 = Float.parseFloat(s1);
		float d2 = Float.parseFloat(s2);
		float d3 = Float.parseFloat(s3);
		float d4 = Float.parseFloat(s4);
		double i = 1.5;
		
		float r1 = (d4*52);
	    float r2 = (float) (r1*i);
		float r3 = (r2*d2);
		float r4 = (r3*d3);
	

		
		if (r4 >= d1) {
			System.out.println("You will reach your goal");
		}
		else
			System.out.println("YouÕll never make it at this rate, you need to save XX more each week");
		
	}
	

    private static String getInput(String output)
    {
        Scanner input = new Scanner(System.in);
        System.out.println(output);
        return input.next();
    }

}

